Bug 461953 - Unable to get data from Job GetAd call
Unable to get data from Job GetAd call
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
beta
All Linux
medium Severity high
: ---
: ---
Assigned To: Nuno Santos
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 12:31 EDT by Ernie
Modified: 2013-09-12 18:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 11:39:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ernie 2008-09-11 12:31:12 EDT
Description of problem:
I'm unable to get the returned data from a GetAd call. 

Version-Release number of selected component (if applicable):
current svn head

How reproducible:
using the following python code:
    def gen_items(self, session, job):

        def completion(status, args):
            self.got_data = True

        ads = dict()
        model = self.app.model
        ret = job.GetAd(model.data, completion, ads)
        
        while not self.got_data:
            pass

The completion method gets called, but args is:
tuple: ('method', 'mrg2.lab.bos.redhat.com:5672', 3, 0, 'OK')


Steps to Reproduce:
1. Tested with latest svn cumin/mint code 
2. Connecting to broker at mrg2.lab.bos.redhat.com:5672
3. Select Grid tab
4. Select Main pool
5. Select Job with custom id 1.2
  
Actual results:
Job Ads are not returned to completion method

Expected results:
Job Ads should either be returned to completion method, or the dict that was passed to the GetAd function should be filled with the data. 

Additional info:
Comment 1 Nuno Santos 2008-09-16 11:14:10 EDT
The "args" identifier was being shadowed in this scope, it's fixed now at svn rev 2478.

Note You need to log in before you can comment on or make changes to this bug.